// Copyright (c) 2000-2001 Quadralay Corporation.  All rights reserved.
// 

function  WWHelpFrameSet_UpdateFavorite(ParamHREF)
{
  if (this.mPlatform != 2)  // Shorthand for Macintosh
  {
    if ((WWHelpTopFrame.navigation) &&
        (WWHelpTopFrame.navigation.contents))
    {
      if (WWHelpTopFrame.navigation.contents.bWWHAppletLoaded)
      {
        WWHelpTopFrame.navigation.contents.document.applets[0].updateFavorites(ParamHREF);
      }
      else
      {
        // Applet not yet loaded, so we'll try again a bit later
        //
        setTimeout("WWHelpTopFrame.WWHelpFrameSet.fUpdateFavorite(\"" + ParamHREF + "\");", 250);
      }
    }
  }
}

function  WWHelpFrameSet_SyncTOC(ParamHREF)
{
  if (this.mPlatform != 2)  // Shorthand for Macintosh
  {
    if ((WWHelpTopFrame.navigation) &&
        (WWHelpTopFrame.navigation.contents))
    {
      if (WWHelpTopFrame.navigation.contents.bWWHAppletLoaded)
      {
        WWHelpTopFrame.navigation.contents.document.applets[0].syncTOC(ParamHREF);
      }
    }
  }
}
